Subject: Re: 1.3.3 on WINNT 4.0SP6: du reports disk usage incorrectly by f acto r one half
From: Christopher Faylor <[email-masked]>
To: "Buhl, Josh" <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Oct 2001 11:34:07 -0400

On Fri, Oct 05, 2001 at 05:25:57PM +0200, Buhl, Josh wrote:
>thanks for replying. Sorry if I didn't describe the behaviour correctly. I
>wasn't refering to a problem with the block size, but rather with the total
>reported value. If a file is, say, 16000 bytes long, then du reports it
>using only 8 Kb of space. Here's an example:

"I can't duplicate this behavior... Maybe you need to upgrade your fileutils."

cgf

>bash-2.04$ ls -alF
>total 47
>drwxr-xr-x   2 Administ Kein         4096 Oct  5 15:23 ./
>drwxr-xr-x  13 Administ Kein         4096 Oct  5 15:13 ../
>-rw-r--r--   1 Administ Kein        14189 Jun 11 20:16 Makefile
>-rw-r--r--   1 Administ Kein        12264 Jun 11 20:11 Makefile.in
>-rw-r--r--   1 Administ Kein        13604 May 25 10:35 Moon.c
>-rw-r--r--   1 Administ Kein        15996 Jun 11 19:39 glunarclock.c
>-rw-r--r--   1 Administ Kein          634 Jun  9 09:04 glunarclock.h
>-rw-r--r--   1 Administ Kein        15869 May 25 10:35 moondatadialog.c
>-rw-r--r--   1 Administ Kein         1103 May 25 10:35 moondatadialog.h
>-rw-r--r--   1 Administ Kein        10872 May 28 20:43 moonproperties.c
>-rw-r--r--   1 Administ Kein          330 May 25 10:35 moonproperties.h
>
>bash-2.04$ du -ab
>8.0k	./glunarclock.c
>512	./glunarclock.h
>7.0k	./Makefile
>6.0k	./Makefile.in
>7.0k	./Moon.c
>8.0k	./moondatadialog.c
>1.0k	./moondatadialog.h
>5.5k	./moonproperties.c
>512	./moonproperties.h
>45k	.
>
>-----Urspr?ngliche Nachricht-----
>Von: Christopher Faylor [mailto:[email-masked]]
>
>I can't duplicate this behavior.  My version of du.exe reports block sizes
>in 1024 increments.  Maybe you need to upgrade your fileutils.
>
>cgf
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/